<?php
namespace User\DataBin;



/**
 * Manage Permissions data.
 * @author andre.fourie
 */
class Permissions extends \Workspace\Service\DataBin
{

	/**
	 * @var array
	 */
	protected $meta = array(
			'Base'        => 'Permissions',
			'DatasetName' => 'permissions',
			'Entity'      => '\User\Entity\Permissions',
			'References'  => array(),
			'Dependants'  => array()
	);
	/**
	 * @var array
	 */
	protected $metaSelectList = array(
			'Type'          => 'SelectList',
			'Contract'      => 'Recurring',
			'RequiredInput' => array(),
			'OptionalInput' => array(),
			'Filter'        => array(
					'id' => array(5,6,7,8,12,13)
			),
			'Label'         => array(
				'Format' => '[name]',
				'Fields' => array('name')
			)
	);
	/**
	 * @var array
	 */
	protected $metaFullSelectList = array(
			'Type'          => 'SelectList',
			'Contract'      => 'Recurring',
			'RequiredInput' => array(),
			'OptionalInput' => array(),
			'Filter'        => array(),
			'Label'         => array(
				'Format' => '[name]',
				'Fields' => array('name')
			)
	);
	/**
	 * @var array
	*/
	protected $metaGrid = array(
			'Type'          => 'Grid',
			'Contract'      => 'Recurring',
			'RequiredInput' => array(),
			'OptionalInput' => array(
					'Grid'  => array(
							'NumberOfRecords' => 'Integer',
							'Page'            => 'Integer',
							'Filter'          => 'Array',
							'OrderBy'         => 'Array',
					)
			),
			'Base'            => 'permissions',
			'NumberOfRecords' => 10,
			'Query'           => 'SELECT [SELECTION]
								FROM \User\Entity\Permissions permissions
								[WHERE] [ORDER]',
			'Selection'       => 'permissions',
			'Filter'          => array(),
			'OrderBy'         => array(
									'permissions.name' => 'ASC'
								),
			'Fields'          => array()
	);
	/**
	 * @var array
	 */
	protected $metaUpdate = array(
			'Type'          => 'Update',
			'Contract'      => 'UseOnce',
			'RequiredInput' => array(),
			'OptionalInput' => array(
					'Permissions' => array(
							'accessAdminModule' 		=> 'Boolean',
							'accessPortalModule' 		=> 'Boolean',
							'settingsPage' 				=> 'Boolean',
							'settingsUser' 				=> 'Boolean',
							'settingsClub' 				=> 'Boolean',
							'settingsMembership' 		=> 'Boolean',
							'settingsRetail' 			=> 'Boolean',
							'settingsReport' 			=> 'Boolean',
							'settingsHpiReport' 		=> 'Boolean',
							'settingsGridExport' 		=> 'Boolean',
							'settingsDealership' 		=> 'Boolean',
							'settingsPersonal' 			=> 'Boolean',
							'settingsResetPin' 			=> 'Boolean',
							'valuationPage' 			=> 'Boolean',
							'valuationView' 			=> 'Boolean',
							'valuationArchive' 			=> 'Boolean',
							'valuationUnarchive' 		=> 'Boolean',
							'valuationCreateNew' 		=> 'Boolean',
							'valuationCreateSales' 		=> 'Boolean',
							'valuationCreatePending'	=> 'Boolean',
							'valuationCreatePriceguide'	=> 'Boolean',
							'valuationCreateComplete'	=> 'Boolean',
							'valuationCreateStock'		=> 'Boolean',
							'valuationUpdate'			=> 'Boolean',
							'valuationRoutePending'		=> 'Boolean',
							'valuationRouteComplete'	=> 'Boolean',
							'valuationRouteStock'		=> 'Boolean',
							'valuationRoutePriceguide'	=> 'Boolean',
							'valuationIsSales'			=> 'Boolean',
							'valuationIsValuator'		=> 'Boolean',
							'valuationPrint'			=> 'Boolean',
							'valuationB4cReport'		=> 'Boolean',
							'valuationBmw'				=> 'Boolean',
							'valuationRouteDealDone'	=> 'Boolean',
							'valuationRouteDealNotDone'	=> 'Boolean',
							'valuationGridExport'		=> 'Boolean',
							'valuationUpdateDamages'	=> 'Boolean',
							'valuationUpdateCoverReceived'	=> 'Boolean',
							'valuationUploadPhotos'		=> 'Boolean',
							'valuationPricingDetails'	=> 'Boolean',
                            'valuationCalendar'	        => 'Boolean',
							'pgPage' 					=> 'Boolean',
							'pgB4cReport' 				=> 'Boolean',
							'pgView' 					=> 'Boolean',
							'pgMakeOffer'	 			=> 'Boolean',
							'pgUpdateOffer' 			=> 'Boolean',
							'pgPrint' 					=> 'Boolean',
							'pgGridExport' 				=> 'Boolean',
							'pgArchive' 				=> 'Boolean',
							'pgUnArchive' 				=> 'Boolean',
							'auctionPage' 				=> 'Boolean',
							'auctionGridExport' 		=> 'Boolean',
							'auctionView' 				=> 'Boolean',
							'stockPage' 				=> 'Boolean',
							'stockCreate' 				=> 'Boolean',
							'auctionBid' 				=> 'Boolean',
							'tcPage' 					=> 'Boolean',
							'tcGridExport'				=> 'Boolean',
							'stockRouteAuction' 		=> 'Boolean',
							'stockRouteRetail' 			=> 'Boolean',
							'stockReclaimRetail' 		=> 'Boolean',
							'stockRoutePriceguide' 		=> 'Boolean',
							'stockRouteValuation' 		=> 'Boolean',
							'stockPrint' 				=> 'Boolean',
							'stockArchive' 				=> 'Boolean',
							'stockUnarchive' 			=> 'Boolean',
							'stockUpdate' 				=> 'Boolean',
							'stockGridExport' 			=> 'Boolean',
                            'stockAuctionReportGridExport' 			=> 'Boolean',
                            'stockBulkImportDrive' 			=> 'Boolean',
                            'stockBulkImportPinnacle' 			=> 'Boolean',
							'stockUpdateDamages' 		=> 'Boolean',
							'stockUpdateCoverReceived' 		=> 'Boolean',
							'stockUploadPhotos' 		=> 'Boolean',
							'appCreateValuation' 		=> 'Boolean',
							'appCompleteValuation' 		=> 'Boolean',
							'adminPage' 				=> 'Boolean',
							'adminRegistration' 		=> 'Boolean',
							'adminReport' 				=> 'Boolean',
							'adminCommunication' 		=> 'Boolean',
							'adminSettings' 			=> 'Boolean',
							'adminUser' 				=> 'Boolean',
							'adminDealer' 				=> 'Boolean',
							'adminAuction' 				=> 'Boolean',
							'suAccess' 					=> 'Boolean',
							'suGroupFull' 				=> 'Boolean',
							'suDivisionFull' 			=> 'Boolean',
							'suCompanyFull' 			=> 'Boolean',
                            'historicalPage' 			=> 'Boolean',
                            'etpGemDmd' 			    => 'Boolean'
					)
			)
	);

}