<?php
namespace User\Fixture;



class Permissions extends \Fixture\Service\Fixture
{

	static public function build()
	{
		parent::addStack('\User\Entity\Permissions', array(
				'Permissions.Administrator' => array(
							'name' 						=> 'Administrator',
							'accessAdminModule'			=> true,
							'accessPortalModule'		=> false,
							'settingsPage'				=> true,
							'settingsUser'				=> true,
							'settingsClub'				=> true,
							'settingsMembership'		=> true,
							'settingsRetail'			=> true,
							'settingsReport'			=> true,
							'settingsHpiReport'			=> true,
							'settingsGridExport'		=> true,
							'settingsDealership'		=> true,
							'settingsPersonal'			=> true,
							'settingsResetPin'			=> true,
							'valuationPage'				=> true,
							'valuationView'				=> true,
							'valuationArchive'			=> true,
							'valuationUnarchive'		=> true,
							'valuationCreateNew'		=> true,
							'valuationCreateSales'		=> true,
							'valuationCreatePending'	=> true,
							'valuationCreatePriceguide'	=> true,
							'valuationCreateComplete'	=> true,
							'valuationCreateStock'		=> true,
							'valuationUpdate'			=> true,
							'valuationRoutePending'		=> true,
							'valuationRouteComplete'	=> true,
							'valuationRouteStock'		=> true,
							'valuationRoutePriceguide'	=> true,
							'valuationIsSales'			=> false,
							'valuationIsValuator'		=> false,
							'valuationPrint'			=> true,
							'valuationB4cReport'		=> true,
							'valuationBmw'				=> true,
							'valuationRouteDealDone'	=> true,
							'valuationRouteDealNotDone' => true,
							'valuationGridExport'		=> true,
							'valuationUpdateDamages'	=> true,
							'valuationUpdateCoverReceived'	=> true,
							'valuationUploadPhotos'		=> true,
							'valuationPricingDetails'	=> true,
                            'valuationCalendar'	        => false,
							'pgPage'					=> true,
							'pgB4cReport'				=> true,
							'pgView'					=> true,
							'pgMakeOffer'				=> true,
							'pgUpdateOffer'				=> true,
							'pgPrint'					=> true,
							'pgGridExport'				=> true,
							'pgArchive'					=> true,
							'pgUnArchive'				=> true,
							'auctionPage'				=> true,
							'auctionGridExport'			=> true,
							'auctionBid'				=> true,
							'tcPage'					=> false,
							'tcGridExport'				=> false,
							'stockPage'					=> true,
							'stockCreate'				=> true,
							'stockView'					=> true,
							'stockRouteAuction'			=> true,
							'stockRouteRetail'			=> true,
							'stockReclaimRetail'		=> true,
							'stockRoutePriceguide'		=> true,
							'stockRouteValuation'		=> true,
							'stockPrint'				=> true,
							'stockArchive'				=> true,
							'stockUnarchive'			=> true,
							'stockUpdate'				=> true,
							'stockGridExport'			=> true,
							'stockUpdateDamages'		=> true,
							'stockUpdateCoverReceived'		=> true,
							'stockUploadPhotos'			=> true,
							'appCreateValuation'		=> true,
							'appCompleteValuation'		=> true,
							'adminPage'					=> true,
							'adminRegistration'			=> true,
							'adminReport'				=> true,
							'adminCommunication'		=> true,
							'adminSettings'				=> true,
							'adminUser'					=> true,
							'adminAuction'				=> true,
							'suAccess'					=> true,
							'suGroupFull'				=> true,
							'suDivisionFull'			=> true,
							'suCompanyFull'				=> true,
              'historicalPage'				=> true,
                    'etpGemDmd'				=> false
				),
				'Permissions.Manager' => array(
						'name' 							=> 'B4C User',
						'accessAdminModule'				=> true,
						'accessPortalModule'			=> true,
						'settingsPage'					=> true,
						'settingsUser'					=> true,
						'settingsClub'					=> true,
						'settingsMembership'			=> true,
						'settingsRetail'				=> true,
						'settingsReport'				=> true,
						'settingsHpiReport'				=> true,
						'settingsGridExport'			=> true,
						'settingsDealership'			=> true,
						'settingsPersonal'				=> true,
						'settingsResetPin'				=> true,
						'valuationPage'					=> true,
						'valuationView'					=> true,
						'valuationArchive'				=> true,
						'valuationUnarchive'			=> true,
						'valuationCreateNew'			=> true,
						'valuationCreateSales'			=> true,
						'valuationCreatePending'		=> true,
						'valuationCreatePriceguide'		=> true,
						'valuationCreateComplete'		=> true,
						'valuationCreateStock'			=> true,
						'valuationUpdate'				=> true,
						'valuationRoutePending'			=> true,
						'valuationRouteComplete'		=> true,
						'valuationRouteStock'			=> true,
						'valuationRoutePriceguide'		=> true,
						'valuationIsSales'				=> false,
						'valuationIsValuator'			=> false,
						'valuationPrint'				=> true,
						'valuationB4cReport'			=> true,
						'valuationBmw'					=> true,
						'valuationRouteDealDone'		=> true,
						'valuationRouteDealNotDone'		=> true,
						'valuationGridExport'			=> true,
						'valuationUpdateDamages'		=> true,
						'valuationUpdateCoverReceived'	=> true,
						'valuationUploadPhotos'			=> true,
						'valuationPricingDetails'		=> true,
                        'valuationCalendar'	        => false,
						'pgPage'						=> true,
						'pgB4cReport'					=> true,
						'pgView'						=> true,
						'pgMakeOffer'					=> true,
						'pgUpdateOffer'					=> true,
						'pgPrint'						=> true,
						'pgGridExport'					=> true,
						'pgArchive'						=> true,
						'pgUnArchive'					=> true,
						'auctionPage'					=> false,
						'auctionGridExport'				=> false,
						'auctionBid'					=> true,
						'tcPage'						=> true,
						'tcGridExport'					=> true,
						'stockPage'						=> true,
						'stockCreate'					=> true,
						'stockView'						=> true,
						'stockRouteAuction'				=> true,
						'stockRouteRetail'				=> true,
						'stockReclaimRetail'			=> true,
						'stockRoutePriceguide'			=> true,
						'stockRouteValuation'			=> true,
						'stockPrint'					=> true,
						'stockArchive'					=> true,
						'stockUnarchive'				=> true,
						'stockUpdate'					=> true,
						'stockGridExport'				=> true,
						'stockUpdateDamages'			=> true,
						'stockUpdateCoverReceived'		=> true,
						'stockUploadPhotos'				=> true,
						'appCreateValuation'			=> true,
						'appCompleteValuation'			=> true,
						'adminPage'						=> true,
						'adminRegistration'				=> true,
						'adminReport'					=> true,
						'adminCommunication'			=> true,
						'adminSettings'					=> true,
						'adminUser'						=> true,
						'adminAuction'					=> true,
						'suAccess'						=> true,
						'suGroupFull'					=> true,
						'suDivisionFull'				=> true,
						'suCompanyFull'					=> true,
            'historicalPage'				=> true,
                    'etpGemDmd'				=> false
				),
				'Permissions.GroupUser' => array(
						'name' => 'Group User',
						'accessAdminModule'				=> false,
						'accessPortalModule'			=> true,
						'settingsPage'					=> true,
						'settingsUser'					=> false,
						'settingsClub'					=> false,
						'settingsMembership'			=> false,
						'settingsRetail'				=> false,
						'settingsReport'				=> true,
						'settingsHpiReport'				=> false,
						'settingsGridExport'			=> true,
						'settingsDealership'			=> true,
						'settingsPersonal'				=> true,
						'settingsResetPin'				=> true,
						'valuationPage'					=> true,
						'valuationView'					=> false,
						'valuationArchive'				=> false,
						'valuationUnarchive'			=> false,
						'valuationCreateNew'			=> false,
						'valuationCreateSales'			=> false,
						'valuationCreatePending'		=> false,
						'valuationCreatePriceguide'		=> false,
						'valuationCreateComplete'		=> false,
						'valuationCreateStock'			=> false,
						'valuationUpdate'				=> false,
						'valuationRoutePending'			=> false,
						'valuationRouteComplete'		=> false,
						'valuationRouteStock'			=> false,
						'valuationRoutePriceguide'		=> false,
						'valuationIsSales'				=> false,
						'valuationIsValuator'			=> false,
						'valuationPrint'				=> false,
						'valuationB4cReport'			=> false,
						'valuationBmw'					=> false,
						'valuationRouteDealDone'		=> false,
						'valuationRouteDealNotDone'		=> false,
						'valuationGridExport'			=> true,
						'valuationUpdateDamages'		=> false,
						'valuationUpdateCoverReceived'	=> false,
						'valuationUploadPhotos'			=> false,
						'valuationPricingDetails'		=> false,
                        'valuationCalendar'	        => false,
						'pgPage'						=> true,
						'pgB4cReport'					=> true,
						'pgView'						=> true,
						'pgMakeOffer'					=> true,
						'pgUpdateOffer'					=> true,
						'pgPrint'						=> true,
						'pgGridExport'					=> true,
						'pgArchive'						=> false,
						'pgUnArchive'					=> false,
						'auctionPage'					=> false,
						'auctionGridExport'				=> false,
						'auctionBid'					=> false,
						'tcPage'						=> false,
						'tcGridExport'					=> false,
						'stockPage'						=> false,
						'stockCreate'					=> false,
						'stockView'						=> false,
						'stockRouteAuction'				=> false,
						'stockRouteRetail'				=> false,
						'stockReclaimRetail'			=> false,
						'stockRoutePriceguide'			=> false,
						'stockRouteValuation'			=> false,
						'stockPrint'					=> false,
						'stockArchive'					=> false,
						'stockUnarchive'				=> false,
						'stockUpdate'					=> false,
						'stockGridExport'				=> false,
						'stockUpdateDamages'			=> false,
						'stockUpdateCoverReceived'		=> false,
						'stockUploadPhotos'				=> false,
						'appCreateValuation'			=> true,
						'appCompleteValuation'			=> true,
						'adminPage'						=> false,
						'adminRegistration'				=> false,
						'adminReport'					=> false,
						'adminCommunication'			=> false,
						'adminSettings'					=> false,
						'adminUser'						=> false,
						'adminAuction'					=> false,
						'suAccess'						=> false,
						'suGroupFull'					=> false,
						'suDivisionFull'				=> false,
						'suCompanyFull'					=> true,
            'historicalPage'				=> true,
                    'etpGemDmd'				=> false
				),
				'Permissions.DealerPrincipal' => array(
						'name' => 'Dealer Principal',
						'accessAdminModule'				=> false,
						'accessPortalModule'			=> true,
						'settingsPage'					=> true,
						'settingsUser'					=> true,
						'settingsClub'					=> true,
						'settingsMembership'			=> true,
						'settingsRetail'				=> true,
						'settingsReport'				=> true,
						'settingsHpiReport'				=> true,
						'settingsGridExport'			=> true,
						'settingsDealership'			=> true,
						'settingsPersonal'				=> true,
						'settingsResetPin'				=> true,
						'valuationPage'					=> true,
						'valuationView'					=> true,
						'valuationArchive'				=> true,
						'valuationUnarchive'			=> true,
						'valuationCreateNew'			=> true,
						'valuationCreateSales'			=> true,
						'valuationCreatePending'		=> true,
						'valuationCreatePriceguide'		=> true,
						'valuationCreateComplete'		=> true,
						'valuationCreateStock'			=> true,
						'valuationUpdate'				=> true,
						'valuationRoutePending'			=> true,
						'valuationRouteComplete'		=> true,
						'valuationRouteStock'			=> true,
						'valuationRoutePriceguide'		=> true,
						'valuationIsSales'				=> true,
						'valuationIsValuator'			=> true,
						'valuationPrint'				=> true,
						'valuationB4cReport'			=> true,
						'valuationBmw'					=> true,
						'valuationRouteDealDone'		=> true,
						'valuationRouteDealNotDone'		=> true,
						'valuationGridExport'			=> true,
						'valuationUpdateDamages'		=> true,
						'valuationUpdateCoverReceived'	=> true,
						'valuationUploadPhotos'			=> true,
						'valuationPricingDetails'		=> true,
                        'valuationCalendar'	        => false,
						'pgPage'						=> true,
						'pgB4cReport'					=> true,
						'pgView'						=> true,
						'pgMakeOffer'					=> true,
						'pgUpdateOffer'					=> true,
						'pgPrint'						=> true,
						'pgGridExport'					=> true,
						'pgArchive'						=> false,
						'pgUnArchive'					=> false,
						'auctionPage'					=> false,
						'auctionGridExport'				=> false,
						'auctionBid'					=> true,
						'tcPage'						=> true,
						'tcGridExport'					=> true,
						'stockPage'						=> true,
						'stockCreate'					=> true,
						'stockView'						=> true,
						'stockRouteAuction'				=> true,
						'stockRouteRetail'				=> true,
						'stockReclaimRetail'			=> true,
						'stockRoutePriceguide'			=> true,
						'stockRouteValuation'			=> true,
						'stockPrint'					=> true,
						'stockArchive'					=> true,
						'stockUnarchive'				=> true,
						'stockUpdate'					=> true,
						'stockGridExport'				=> true,
						'stockUpdateDamages'			=> true,
						'stockUpdateCoverReceived'		=> true,
						'stockUploadPhotos'				=> true,
						'appCreateValuation'			=> true,
						'appCompleteValuation'			=> true,
						'adminPage'						=> false,
						'adminRegistration'				=> false,
						'adminReport'					=> false,
						'adminCommunication'			=> false,
						'adminSettings'					=> false,
						'adminUser'						=> false,
						'adminAuction'					=> false,
						'suAccess'						=> false,
						'suGroupFull'					=> false,
						'suDivisionFull'				=> false,
						'suCompanyFull'					=> false,
            'historicalPage'				=> true,
                    'etpGemDmd'				=> false
				),
				'Permissions.DealerShipManagerUsed' => array(
						'name' => 'Dealership Manager (Used)',
						'accessAdminModule'				=> false,
						'accessPortalModule'			=> true,
						'settingsPage'					=> true,
						'settingsUser'					=> true,
						'settingsClub'					=> true,
						'settingsMembership'			=> true,
						'settingsRetail'				=> true,
						'settingsReport'				=> true,
						'settingsHpiReport'				=> true,
						'settingsGridExport'			=> true,
						'settingsDealership'			=> false,
						'settingsPersonal'				=> true,
						'settingsResetPin'				=> true,
						'valuationPage'					=> true,
						'valuationView'					=> true,
						'valuationArchive'				=> true,
						'valuationUnarchive'			=> true,
						'valuationCreateNew'			=> true,
						'valuationCreateSales'			=> true,
						'valuationCreatePending'		=> true,
						'valuationCreatePriceguide'		=> true,
						'valuationCreateComplete'		=> true,
						'valuationCreateStock'			=> true,
						'valuationUpdate'				=> true,
						'valuationRoutePending'			=> true,
						'valuationRouteComplete'		=> true,
						'valuationRouteStock'			=> true,
						'valuationRoutePriceguide'		=> true,
						'valuationIsSales'				=> true,
						'valuationIsValuator'			=> true,
						'valuationPrint'				=> true,
						'valuationB4cReport'			=> true,
						'valuationBmw'					=> true,
						'valuationRouteDealDone'		=> true,
						'valuationRouteDealNotDone'		=> true,
						'valuationGridExport'			=> true,
						'valuationUpdateDamages'		=> true,
						'valuationUpdateCoverReceived'	=> true,
						'valuationUploadPhotos'			=> true,
						'valuationPricingDetails'		=> true,
                        'valuationCalendar'	        => false,
						'pgPage'						=> true,
						'pgB4cReport'					=> true,
						'pgView'						=> true,
						'pgMakeOffer'					=> true,
						'pgUpdateOffer'					=> true,
						'pgPrint'						=> true,
						'pgGridExport'					=> true,
						'pgArchive'						=> false,
						'pgUnArchive'					=> false,
						'auctionPage'					=> false,
						'auctionGridExport'				=> false,
						'auctionBid'					=> true,
						'tcPage'						=> true,
						'tcGridExport'					=> true,
						'stockPage'						=> true,
						'stockCreate'					=> true,
						'stockView'						=> true,
						'stockRouteAuction'				=> true,
						'stockRouteRetail'				=> true,
						'stockReclaimRetail'			=> true,
						'stockRoutePriceguide'			=> true,
						'stockRouteValuation'			=> true,
						'stockPrint'					=> true,
						'stockArchive'					=> true,
						'stockUnarchive'				=> true,
						'stockUpdate'					=> true,
						'stockGridExport'				=> true,
						'stockUpdateDamages'			=> true,
						'stockUpdateCoverReceived'		=> true,
						'stockUploadPhotos'				=> true,
						'appCreateValuation'			=> true,
						'appCompleteValuation'			=> true,
						'adminPage'						=> false,
						'adminRegistration'				=> false,
						'adminReport'					=> false,
						'adminCommunication'			=> false,
						'adminSettings'					=> false,
						'adminUser'						=> false,
						'adminAuction'					=> false,
						'suAccess'						=> false,
						'suGroupFull'					=> false,
						'suDivisionFull'				=> false,
						'suCompanyFull'					=> false,
            'historicalPage'				=> true,
                    'etpGemDmd'				=> false
				),
				'Permissions.DealerShipManagerNew' => array(
						'name' => 'Dealership Manager (New)',
						'accessAdminModule'				=> false,
						'accessPortalModule'			=> true,
						'settingsPage'					=> true,
						'settingsUser'					=> true,
						'settingsClub'					=> false,
						'settingsMembership'			=> false,
						'settingsRetail'				=> false,
						'settingsReport'				=> true,
						'settingsHpiReport'				=> true,
						'settingsGridExport'			=> true,
						'settingsDealership'			=> false,
						'settingsPersonal'				=> true,
						'settingsResetPin'				=> true,
						'valuationPage'					=> true,
						'valuationView'					=> true,
						'valuationArchive'				=> true,
						'valuationUnarchive'			=> true,
						'valuationCreateNew'			=> true,
						'valuationCreateSales'			=> true,
						'valuationCreatePending'		=> true,
						'valuationCreatePriceguide'		=> true,
						'valuationCreateComplete'		=> true,
						'valuationCreateStock'			=> false,
						'valuationUpdate'				=> true,
						'valuationRoutePending'			=> true,
						'valuationRouteComplete'		=> true,
						'valuationRouteStock'			=> false,
						'valuationRoutePriceguide'		=> true,
						'valuationIsSales'				=> true,
						'valuationIsValuator'			=> false,
						'valuationPrint'				=> true,
						'valuationB4cReport'			=> true,
						'valuationBmw'					=> true,
						'valuationRouteDealDone'		=> true,
						'valuationRouteDealNotDone'		=> true,
						'valuationGridExport'			=> true,
						'valuationUpdateDamages'		=> true,
						'valuationUpdateCoverReceived'	=> true,
						'valuationUploadPhotos'			=> true,
						'valuationPricingDetails'		=> true,
                        'valuationCalendar'	        => false,
						'pgPage'						=> false,
						'pgB4cReport'					=> false,
						'pgView'						=> false,
						'pgMakeOffer'					=> false,
						'pgUpdateOffer'					=> false,
						'pgPrint'						=> false,
						'pgGridExport'					=> false,
						'pgArchive'						=> false,
						'pgUnArchive'					=> false,
						'auctionPage'					=> false,
						'auctionGridExport'				=> false,
						'auctionBid'					=> false,
						'tcPage'						=> true,
						'tcGridExport'					=> true,
						'stockPage'						=> false,
						'stockCreate'					=> false,
						'stockView'						=> false,
						'stockRouteAuction'				=> false,
						'stockRouteRetail'				=> false,
						'stockReclaimRetail'			=> false,
						'stockRoutePriceguide'			=> false,
						'stockRouteValuation'			=> false,
						'stockPrint'					=> false,
						'stockArchive'					=> false,
						'stockUpdate'					=> false,
						'stockUnarchive'				=> false,
						'stockGridExport'				=> false,
						'stockUpdateDamages'			=> false,
						'stockUpdateCoverReceived'		=> false,
						'stockUploadPhotos'				=> false,
						'appCreateValuation'			=> false,
						'appCompleteValuation'			=> false,
						'adminPage'						=> false,
						'adminRegistration'				=> false,
						'adminReport'					=> false,
						'adminCommunication'			=> false,
						'adminSettings'					=> false,
						'adminUser'						=> false,
						'adminAuction'					=> false,
						'suAccess'						=> true,
						'suGroupFull'					=> true,
						'suDivisionFull'				=> false,
						'suCompanyFull'					=> false,
            'historicalPage'				=> true,
                    'etpGemDmd'				=> false
				),
				'Permissions.DealerShipValuator' => array(
						'name' => 'Dealership Valuator',
						'accessAdminModule'				=> false,
						'accessPortalModule'			=> true,
						'settingsPage'					=> true,
						'settingsUser'					=> false,
						'settingsClub'					=> false,
						'settingsMembership'			=> false,
						'settingsRetail'				=> false,
						'settingsReport'				=> false,
						'settingsHpiReport'				=> false,
						'settingsGridExport'			=> false,
						'settingsDealership'			=> false,
						'settingsPersonal'				=> true,
						'settingsResetPin'				=> true,
						'valuationPage'					=> true,
						'valuationView'					=> true,
						'valuationArchive'				=> false,
						'valuationUnarchive'			=> false,
						'valuationCreateNew'			=> true,
						'valuationCreateSales'			=> true,
						'valuationCreatePending'		=> true,
						'valuationCreatePriceguide'		=> true,
						'valuationCreateComplete'		=> true,
						'valuationCreateStock'			=> true,
						'valuationUpdate'				=> true,
						'valuationRoutePending'			=> true,
						'valuationRouteComplete'		=> true,
						'valuationRouteStock'			=> true,
						'valuationRoutePriceguide'		=> true,
						'valuationIsSales'				=> false,
						'valuationIsValuator'			=> true,
						'valuationPrint'				=> true,
						'valuationB4cReport'			=> true,
						'valuationBmw'					=> true,
						'valuationRouteDealDone'		=> false,
						'valuationRouteDealNotDone'		=> false,
						'valuationGridExport'			=> true,
						'valuationUpdateDamages'		=> true,
						'valuationUpdateCoverReceived'	=> true,
						'valuationUploadPhotos'			=> true,
						'valuationPricingDetails'		=> true,
                        'valuationCalendar'	        => false,
						'pgPage'						=> false,
						'pgB4cReport'					=> false,
						'pgView'						=> false,
						'pgMakeOffer'					=> false,
						'pgUpdateOffer'					=> false,
						'pgPrint'						=> false,
						'pgGridExport'					=> false,
						'pgArchive'						=> false,
						'pgUnArchive'					=> false,
						'auctionPage'					=> false,
						'auctionGridExport'				=> false,
						'auctionBid'					=> true,
						'tcPage'						=> true,
						'tcGridExport'					=> true,
						'stockPage'						=> true,
						'stockCreate'					=> true,
						'stockView'						=> true,
						'stockRouteAuction'				=> true,
						'stockRouteRetail'				=> true,
						'stockReclaimRetail'			=> true,
						'stockRoutePriceguide'			=> true,
						'stockRouteValuation'			=> true,
						'stockPrint'					=> false,
						'stockArchive'					=> false,
						'stockUnarchive'				=> false,
						'stockUpdate'					=> true,
						'stockGridExport'				=> false,
						'stockUpdateDamages'			=> true,
						'stockUpdateCoverReceived'		=> true,
						'stockUploadPhotos'				=> true,
						'appCreateValuation'			=> true,
						'appCompleteValuation'			=> true,
						'adminPage'						=> false,
						'adminRegistration'				=> false,
						'adminReport'					=> false,
						'adminCommunication'			=> false,
						'adminSettings'					=> false,
						'adminUser'						=> false,
						'adminAuction'					=> false,
						'suAccess'						=> false,
						'suGroupFull'					=> false,
						'suDivisionFull'				=> false,
						'suCompanyFull'					=> false,
            'historicalPage'				=> true,
                    'etpGemDmd'				=> false
				),
				'Permissions.DealershipSales' => array(
						'name' => 'Dealership Sales',
						'accessAdminModule'				=> false,
						'accessPortalModule'			=> true,
						'settingsPage'					=> true,
						'settingsUser'					=> false,
						'settingsClub'					=> false,
						'settingsMembership'			=> false,
						'settingsRetail'				=> false,
						'settingsReport'				=> false,
						'settingsHpiReport'				=> false,
						'settingsGridExport'			=> false,
						'settingsDealership'			=> false,
						'settingsPersonal'				=> true,
						'settingsResetPin' 				=> true,
						'valuationPage' 				=> true,
						'valuationView' 				=> true,
						'valuationArchive' 				=> false,
						'valuationUnarchive'			=> false,
						'valuationCreateNew' 			=> true,
						'valuationCreateSales' 			=> true,
						'valuationCreatePending' 		=> true,
						'valuationCreatePriceguide' 	=> false,
						'valuationCreateComplete' 		=> false,
						'valuationCreateStock' 			=> false,
						'valuationUpdate' 				=> false,
						'valuationRoutePending' 		=> true,
						'valuationRouteComplete' 		=> false,
						'valuationRouteStock' 			=> false,
						'valuationRoutePriceguide'		=> false,
						'valuationIsSales' 				=> true,
						'valuationIsValuator' 			=> false,
						'valuationPrint' 				=> true,
						'valuationB4cReport' 			=> false,
						'valuationBmw' 					=> false,
						'valuationRouteDealDone' 		=> false,
						'valuationRouteDealNotDone' 	=> false,
						'valuationGridExport' 			=> true,
						'valuationUpdateDamages' 		=> false,
						'valuationUpdateCoverReceived'	=> false,
						'valuationUploadPhotos' 		=> false,
						'valuationPricingDetails' 		=> false,
                        'valuationCalendar'	        => false,
						'pgPage' 						=> false,
						'pgB4cReport' 					=> false,
						'pgView' 						=> false,
						'pgMakeOffer' 					=> false,
						'pgUpdateOffer' 				=> false,
						'pgPrint' 						=> false,
						'pgGridExport' 					=> false,
						'pgArchive'						=> false,
						'pgUnArchive'					=> false,
						'auctionPage'					=> false,
						'auctionGridExport'				=> false,
						'auctionBid'					=> false,
						'tcPage'						=> true,
						'tcGridExport'					=> true,
						'stockPage' 					=> false,
						'stockCreate' 					=> false,
						'stockView' 					=> false,
						'stockRouteAuction'				=> false,
						'stockRouteRetail' 				=> false,
						'stockReclaimRetail' 			=> false,
						'stockRoutePriceguide' 			=> false,
						'stockRouteValuation' 			=> false,
						'stockPrint' 					=> false,
						'stockArchive' 					=> false,
						'stockUpdate' 					=> false,
						'stockUnarchive' 				=> false,
						'stockGridExport' 				=> false,
						'stockUpdateDamages' 			=> false,
						'stockUpdateCoverReceived'		=> false,
						'stockUploadPhotos' 			=> false,
						'appCreateValuation' 			=> false,
						'appCompleteValuation' 			=> false,
						'adminPage' 					=> false,
						'adminRegistration' 			=> false,
						'adminReport' 					=> false,
						'adminCommunication' 			=> false,
						'adminSettings' 				=> false,
						'adminUser' 					=> false,
						'adminAuction'					=> false,
						'suAccess'						=> false,
						'suGroupFull'					=> false,
						'suDivisionFull'				=> false,
						'suCompanyFull'					=> false,
            'historicalPage'				=> false,
                    'etpGemDmd'				=> false
				),
				'Permissions.Guest' => array(
						'name' => 'Guest',
						'accessAdminModule'				=> false,
						'accessPortalModule'			=> true,
						'settingsPage'					=> false,
						'settingsUser'					=> false,
						'settingsClub'					=> false,
						'settingsMembership'			=> false,
						'settingsRetail'				=> false,
						'settingsReport'				=> false,
						'settingsHpiReport'				=> false,
						'settingsGridExport'			=> false,
						'settingsDealership'			=> false,
						'settingsPersonal'				=> false,
						'settingsResetPin' 				=> false,
						'valuationPage' 				=> false,
						'valuationView' 				=> false,
						'valuationArchive' 				=> false,
						'valuationUnarchive'			=> false,
						'valuationCreateNew' 			=> false,
						'valuationCreateSales' 			=> false,
						'valuationCreatePending' 		=> false,
						'valuationCreatePriceguide' 	=> false,
						'valuationCreateComplete' 		=> false,
						'valuationCreateStock' 			=> false,
						'valuationUpdate' 				=> false,
						'valuationRoutePending' 		=> false,
						'valuationRouteComplete' 		=> false,
						'valuationRouteStock' 			=> false,
						'valuationRoutePriceguide'		=> false,
						'valuationIsSales' 				=> false,
						'valuationIsValuator' 			=> false,
						'valuationPrint' 				=> false,
						'valuationB4cReport' 			=> false,
						'valuationBmw' 					=> false,
						'valuationRouteDealDone' 		=> false,
						'valuationRouteDealNotDone' 	=> false,
						'valuationGridExport' 			=> false,
						'valuationUpdateDamages' 		=> false,
						'valuationUpdateCoverReceived'	=> false,
						'valuationUploadPhotos' 		=> false,
						'valuationPricingDetails' 		=> false,
                        'valuationCalendar'	        => false,
						'pgPage' 						=> false,
						'pgB4cReport' 					=> false,
						'pgView' 						=> false,
						'pgMakeOffer' 					=> false,
						'pgUpdateOffer' 				=> false,
						'pgPrint' 						=> false,
						'pgGridExport' 					=> false,
						'pgArchive'						=> false,
						'pgUnArchive'					=> false,
						'auctionPage'					=> false,
						'auctionGridExport'				=> false,
						'auctionBid'					=> false,
						'tcPage'						=> false,
						'tcGridExport'					=> false,
						'stockPage' 					=> false,
						'stockCreate' 					=> false,
						'stockView' 					=> false,
						'stockRouteAuction'				=> false,
						'stockRouteRetail' 				=> false,
						'stockReclaimRetail' 			=> false,
						'stockRoutePriceguide' 			=> false,
						'stockRouteValuation' 			=> false,
						'stockPrint' 					=> false,
						'stockArchive' 					=> false,
						'stockUnarchive' 				=> false,
						'stockUpdate' 					=> false,
						'stockUpdateDamages' 			=> false,
						'stockUpdateCoverReceived'		=> false,
						'stockGridExport' 				=> false,
						'stockUpdateDamages' 			=> false,
						'stockUploadPhotos' 			=> false,
						'appCreateValuation' 			=> false,
						'appCompleteValuation' 			=> false,
						'adminPage' 					=> false,
						'adminRegistration' 			=> false,
						'adminReport' 					=> false,
						'adminCommunication' 			=> false,
						'adminSettings' 				=> false,
						'adminUser' 					=> false,
						'adminAuction'					=> false,
						'suAccess'						=> false,
						'suGroupFull'					=> false,
						'suDivisionFull'				=> false,
						'suCompanyFull'					=> false,
            'historicalPage'				=> false,
                    'etpGemDmd'				=> false
				),
				'Permissions.TraderUser' => array(
						'name' => 'Trader User',
						'accessAdminModule'				=> false,
						'accessPortalModule'			=> true,
						'settingsPage'					=> true,
						'settingsUser'					=> true,
						'settingsClub'					=> false,
						'settingsMembership'			=> true,
						'settingsRetail'				=> false,
						'settingsReport'				=> false,
						'settingsHpiReport'				=> false,
						'settingsGridExport'			=> true,
						'settingsDealership'			=> true,
						'settingsPersonal'				=> true,
						'settingsResetPin' 				=> true,
						'valuationPage' 				=> false,
						'valuationView' 				=> false,
						'valuationArchive' 				=> false,
						'valuationUnarchive'			=> false,
						'valuationCreateNew' 			=> false,
						'valuationCreateSales' 			=> false,
						'valuationCreatePending' 		=> false,
						'valuationCreatePriceguide' 	=> false,
						'valuationCreateComplete' 		=> false,
						'valuationCreateStock' 			=> false,
						'valuationUpdate' 				=> false,
						'valuationRoutePending' 		=> false,
						'valuationRouteComplete' 		=> false,
						'valuationRouteStock' 			=> false,
						'valuationRoutePriceguide'		=> false,
						'valuationIsSales' 				=> false,
						'valuationIsValuator' 			=> false,
						'valuationPrint' 				=> false,
						'valuationB4cReport' 			=> false,
						'valuationBmw' 					=> false,
						'valuationRouteDealDone' 		=> false,
						'valuationRouteDealNotDone' 	=> false,
						'valuationGridExport' 			=> false,
						'valuationUpdateDamages' 		=> false,
						'valuationUpdateCoverReceived'	=> false,
						'valuationUploadPhotos' 		=> false,
						'valuationPricingDetails' 		=> false,
                        'valuationCalendar'	        => false,
						'pgPage' 						=> true,
						'pgB4cReport' 					=> true,
						'pgView' 						=> true,
						'pgMakeOffer' 					=> true,
						'pgUpdateOffer' 				=> true,
						'pgPrint' 						=> true,
						'pgGridExport' 					=> true,
						'pgArchive'						=> false,
						'pgUnArchive'					=> false,
						'auctionPage'					=> false,
						'auctionGridExport'				=> false,
						'auctionBid'					=> false,
						'tcPage'						=> false,
						'tcGridExport'					=> false,
						'stockPage' 					=> false,
						'stockCreate' 					=> false,
						'stockView' 					=> false,
						'stockRouteAuction'				=> false,
						'stockRouteRetail' 				=> false,
						'stockReclaimRetail' 			=> false,
						'stockRoutePriceguide' 			=> false,
						'stockRouteValuation' 			=> false,
						'stockPrint' 					=> false,
						'stockArchive' 					=> false,
						'stockUnarchive' 				=> false,
						'stockUpdate' 					=> false,
						'stockUpdateDamages' 			=> false,
						'stockUpdateCoverReceived'		=> false,
						'stockGridExport' 				=> false,
						'stockUpdateDamages' 			=> false,
						'stockUploadPhotos' 			=> false,
						'appCreateValuation' 			=> false,
						'appCompleteValuation' 			=> false,
						'adminPage' 					=> false,
						'adminRegistration' 			=> false,
						'adminReport' 					=> false,
						'adminCommunication' 			=> false,
						'adminSettings' 				=> false,
						'adminUser' 					=> false,
						'adminAuction'					=> false,
						'suAccess'						=> false,
						'suGroupFull'					=> false,
						'suDivisionFull'				=> false,
						'suCompanyFull'					=> false,
            'historicalPage'				=> true,
                    'etpGemDmd'				=> false
				),
				'Permissions.TradeCenterUser' => array(
						'name' => 'Trade Center User',
						'accessAdminModule'				=> false,
						'accessPortalModule'			=> true,
						'settingsPage'					=> true,
						'settingsUser'					=> true,
						'settingsClub'					=> false,
						'settingsMembership'			=> false,
						'settingsRetail'				=> false,
						'settingsReport'				=> true,
						'settingsHpiReport'				=> true,
						'settingsGridExport'			=> true,
						'settingsDealership'			=> true,
						'settingsPersonal'				=> true,
						'settingsResetPin' 				=> true,
						'valuationPage' 				=> false,
						'valuationView' 				=> false,
						'valuationArchive' 				=> false,
						'valuationUnarchive'			=> false,
						'valuationCreateNew' 			=> false,
						'valuationCreateSales' 			=> false,
						'valuationCreatePending' 		=> false,
						'valuationCreatePriceguide' 	=> false,
						'valuationCreateComplete' 		=> false,
						'valuationCreateStock' 			=> false,
						'valuationUpdate' 				=> false,
						'valuationRoutePending' 		=> false,
						'valuationRouteComplete' 		=> false,
						'valuationRouteStock' 			=> false,
						'valuationRoutePriceguide'		=> false,
						'valuationIsSales' 				=> false,
						'valuationIsValuator' 			=> false,
						'valuationPrint' 				=> false,
						'valuationB4cReport' 			=> false,
						'valuationBmw' 					=> false,
						'valuationRouteDealDone' 		=> false,
						'valuationRouteDealNotDone' 	=> false,
						'valuationGridExport' 			=> false,
						'valuationUpdateDamages' 		=> false,
						'valuationUpdateCoverReceived'	=> false,
						'valuationUploadPhotos' 		=> false,
						'valuationPricingDetails' 		=> false,
                        'valuationCalendar'	        => false,
						'pgPage' 						=> false,
						'pgB4cReport' 					=> false,
						'pgView' 						=> false,
						'pgMakeOffer' 					=> false,
						'pgUpdateOffer' 				=> false,
						'pgPrint' 						=> false,
						'pgGridExport' 					=> false,
						'pgArchive'						=> false,
						'pgUnArchive'					=> false,
						'auctionPage'					=> true,
						'auctionGridExport'				=> true,
						'auctionBid'					=> true,
						'tcPage'						=> true,
						'tcGridExport'					=> true,
						'stockPage' 					=> true,
						'stockCreate' 					=> true,
						'stockView' 					=> true,
						'stockRouteAuction'				=> true,
						'stockRouteRetail' 				=> false,
						'stockReclaimRetail' 			=> false,
						'stockRoutePriceguide' 			=> false,
						'stockRouteValuation' 			=> false,
						'stockPrint' 					=> true,
						'stockArchive' 					=> true,
						'stockUnarchive' 				=> true,
						'stockUpdate' 					=> true,
						'stockUpdateDamages' 			=> true,
						'stockUpdateCoverReceived'		=> true,
						'stockGridExport' 				=> true,
						'stockUploadPhotos' 			=> true,
						'appCreateValuation' 			=> false,
						'appCompleteValuation' 			=> false,
						'adminPage' 					=> false,
						'adminRegistration' 			=> false,
						'adminReport' 					=> false,
						'adminCommunication' 			=> false,
						'adminSettings' 				=> false,
						'adminUser' 					=> false,
						'adminAuction'					=> false,
						'suAccess'						=> false,
						'suGroupFull'					=> false,
						'suDivisionFull'				=> false,
						'suCompanyFull'					=> false,
            'historicalPage'				=> true,
                    'etpGemDmd'				=> false
				)
		));
	}

}